# DataExchange
TKSTEPBase
StepGeom

# StepGeom_CylindricalSurface Class Reference

`#include <StepGeom_CylindricalSurface.hxx>`

Inheritance diagram for StepGeom_CylindricalSurface:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_CylindricalSurface ()
| Returns a CylindricalSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition, const Standard_Real aRadius)
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_CylindricalSurface::StepGeom_CylindricalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_CylindricalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_ElementarySurface.

virtual Standard_EXPORT void StepGeom_CylindricalSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition,
|  | const Standard_Real | aRadius
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_CylindricalSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition
| ) | `[virtual]`

| Reimplemented from StepGeom_ElementarySurface.

Standard_EXPORT Standard_Real StepGeom_CylindricalSurface::Radius | ( |  | ) | const

Standard_EXPORT void StepGeom_CylindricalSurface::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real StepGeom_CylindricalSurface::radius `[private]`

The documentation for this class was generated from the following file:

- StepGeom_CylindricalSurface.hxx